/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef PINTERFACE_H
#define PINTERFACE_H

#include "paramsCVT.h"
//#include "wGroup.h"
#include <vector>
#include <string>

namespace paramsCVT
{

/**
 * @brief manage CVT interface
 */

class paramsCVT_API Interface
{
public:
    //Interface(int DIM_NUM, int N, int batch, int init, int sample, int sample_num, int it_max, int it_fixed);

    int DIM_NUM;
    int N;
    int batch;
    int init;
    int sample;
    int sample_num;
    int it_max;
    int it_fixed;

    //int call();
};

} // namespace paramsCVT

#endif //PINTERFACE_H
