// RVE

Lx = 1.0;
Ly = Lx;

lc = Lx/20;

ix = Lx/2;
iy = Ly/2;
iR = Lx/4;

// -- outer boundary

Point(1) = { 0,   0, 0, lc};
Point(2) = { Lx,  0, 0, lc};
Point(3) = { Lx, Ly, 0, lc};
Point(4) = { 0,  Ly, 0, lc};

Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 4};
Line(4) = {4, 1};

Line Loop(1) = {1, 2, 3, 4};

// -- inclusion

Point(11) = { ix-iR,  iy, 0, lc};
Point(12) = { ix,     iy, 0, lc};
Point(13) = { ix+iR,  iy, 0, lc};

Circle(10) = {11, 12, 13};
Circle(11) = {13, 12, 11};

Line Loop(11) = {11, 10};

Plane Surface(11) = {11};

// -- matrix

Plane Surface(1) = {1, 11};


Physical Point("P1") = {1};
Physical Point("P2") = {2};
Physical Point("P3") = {3};
Physical Point("P4") = {4};

Physical Line("Bottom") = {1};
Physical Line("Right") = {2};
Physical Line("Top") = {3};
Physical Line("Left") = {4};

Physical Surface("Matrix") = {1};
Physical Surface("Inclusion") = {11};





