/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "wLinearSolver.h"
using namespace tbox;

/**
 * @brief Analyze the matrix pattern
 */
void LinearSolver::analyze(Eigen::SparseMatrix<double> const &A)
{
    throw std::runtime_error("tbox::LinearSolver::analyze not implemented!\n");
}
/**
 * @brief Farctorize the matrix
 */
void LinearSolver::factorize(Eigen::SparseMatrix<double> const &A)
{
    throw std::runtime_error("tbox::LinearSolver::factorize not implemented!\n");
}
/**
 * @brief Solve the set of equations
 */
void LinearSolver::solve(Eigen::Map<Eigen::VectorXd> const &b, Eigen::Map<Eigen::VectorXd> &x)
{
    throw std::runtime_error("tbox::LinearSolver::solve not implemented!\n");
}
/**
 * @brief Analyze the matrix pattern, factorize it, and solve the set of equations
 */
void LinearSolver::compute(Eigen::SparseMatrix<double> const &A, Eigen::Map<Eigen::VectorXd> const &b, Eigen::Map<Eigen::VectorXd> &x)
{
    throw std::runtime_error("tbox::LinearSolver::compute not implemented!\n");
}
/**
 * @brief Get the error norm(Ax - b)
 */
double LinearSolver::getError()
{
    throw std::runtime_error("tbox::LinearSolver::getError not implemented!\n");
}
/**
 * @brief Get the number of iterations required for solving the set of equations
 */
int LinearSolver::getIterations()
{
    throw std::runtime_error("tbox::LinearSolver::getIterations not implemented!\n");
}